YPINIT(8)

NAME
ypinit - initialise YP system

SYNOPSIS
-c [domainname]
-m [domainname]
-s master_server [domainname]

DESCRIPTION
ypinit initialises the files and directories that are required for a YP client or server.

If domainname isn't specified, the default domain (as returned by domainname(1)) is used.

The following options are available:

-c  Create a YP client. Initialises /var/yp/binding/<domain>.ypservers to contain a list of ypservers for ypbind(8) to connect to.

-m  Create a master YP server. Generates map data from local files (/etc/master.passwd, /etc/group, etc.).

-s master_server
    Create a slave server. Downloads the maps from master_server, which should be the active master YP server.

To rebuild or refresh the maps for the YP domain <domain>, change to the /var/yp/<domain> directory and run make.

FILES
/var/yp
    master YP directory; contains the template makefiles.
/var/yp/<domain>
    directory to store YP maps for <domain>.
/var/yp/binding/<domain>.ypservers
    list of YP servers to bind to.

SEE ALSO
domainname(1), makedbm(8), stdhosts(8), stdethers(8), make(1), mknetid(8), yp(8), ypbind(8), yppush(8), ypserv(8)

AUTHOR
Originally written by Mats O Jansson <moj@stacken.kth.se>. Modified by Jason R. Thorpe <thorpej@NetBSD.ORG>